Subject: Re: Question for Flow Label

From: Rémi Després <[email-masked]>
Date: Fri, 1 Oct 2010 09:29:27 +0200

Le 1 oct. 2010 à 02:00, Brian E Carpenter a écrit :
> On 2010-09-30 20:01, Rémi Després wrote:
>>> ...
>>> Our question is: "Is this usage compatible to RFC 3697?" We posted this
>>> question to Softwires and we were told to also ask 6man for input.
>> 
>> With RFC 3697 as is, it doesn't seem to be compatible.
>> This is because the RFC specifies a very specific way to assign FLs to flows.
> 
> I don't see the problem. The RFC leaves the packet source entirely free
> to define a flow in any way it likes, and doesn't specify much
> about the value of the flow label.

Oops, thank you, my comment applies to RFC 2460 (not to RFC3697).
(That is RFC 2460 that says "New flow labels must be chosen (pseudo-)randomly and uniformly from the range 1 to FFFFF hex.")

Regards,
RD 

> 
>    Brian
> 
>> 
>> Now, in the revision under study, what you propose should IMHO be unambiguously permitted.
>> (For a load-balancing application between BRAS and AFTRs, your proposal is clearly a good choice.)
>> 
>> Regards,
>> RD
>> 
>>> Thanks,
>>> Yiu
>>> 
>>> --------------------------------------------------------------------
>>> IETF IPv6 working group mailing list
>>> [email-masked]
>>> Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
>>> --------------------------------------------------------------------
>> 
>> 
>> 
>

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 02 Oct 2010 08:35:05 +1300

> (That is RFC 2460 that says "New flow labels must be chosen (pseudo-)randomly and uniformly from the range 1 to FFFFF hex.")

Yes, in the non-normative appendix! The only normative statement
in 2460 is in section 6:
  "Hosts or routers
   that do not support the functions of the Flow Label field are
   required to set the field to zero when originating a packet, pass the
   field on unchanged when forwarding a packet, and ignore the field
   when receiving a packet."

    Brian

---

From: "Yiu L. Lee" <[email-masked]>
Date: Fri, 1 Oct 2010 15:38:28 -0400

On 10/1/10 3:35 PM, "Brian E Carpenter" <[email-masked]> wrote:

> 2460

---

From: "Yiu L. Lee" <[email-masked]>
Date: Fri, 1 Oct 2010 15:47:14 -0400

(Sorry for sending an empty email by hitting the "send" by accident)

Hi Brian and Remi,

If I understand correctly, RFC 3697 allows the packet source to design how
the FL should be generated. In the GI-DS-lite case, the source is the GW
which is a trusted device inside the network, the FL will be used between
the Gateway and AFTR, so the security risk is fairly low. The only
limitation is each GW (BRAS) can support up to 2^20 (~1M) CPEs. I think 1M
per BRAS is a high number, I don't know this will cause any real issue in
real deployment.

Thanks,
Yiu

On 10/1/10 3:35 PM, "Brian E Carpenter" <[email-masked]> wrote:

---

From: Rémi Després <[email-masked]>
Date: Fri, 1 Oct 2010 22:24:27 +0200

Le 1 oct. 2010 à 21:35, Brian E Carpenter a écrit :

> Yes, in the non-normative appendix!

It would be better if the non-normative appendix wouldn't say this but, I agree, what I quoted isn't a formal incompatibility.
 
RD

> The only normative statement
> in 2460 is in section 6:
>  "Hosts or routers

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 02 Oct 2010 10:14:53 +1300

> per BRAS is a high number, I don't know this will cause any real issue in

Indeed, that is an engineering question, not a standards compliance
question. If the flow label is only a small increment on the
per-customer state in the BRAS, I suppose it's OK, but that's
for a BRAS designer to decide.

   Brian

---

From: Thomas Narten <[email-masked]>
Date: Tue, 05 Oct 2010 09:30:19 -0400

Brian E Carpenter <[email-masked]> writes:
.

> Yes, in the non-normative appendix! The only normative statement

Where does the idea come from that this (or any) appendix is
non-normative? Appendices are non-normative only if the text
specifically says so. By default, they are just as normative as other
sections.

And, Section 6 of RFC 2460 (in the main body) says:

>    Appendix A describes the current intended semantics and usage of the
>    Flow Label field.

So, the intention seems pretty clear to me.

That doesn't mean the text hasn't been superceded my one of the follow
on Flow Label RFCs. But I don't think we can say the 2460 text is
non-nomrative.

Thomas

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 06 Oct 2010 09:56:07 +1300

Thomas,

> specifically says so. By default, they are just as normative as other

Correct, but...

However, just before that it says:

>>    This aspect of IPv6 is, at the time of
>>    writing, still experimental and subject to change as the requirements
>>    for flow support in the Internet become clearer.  

which surely can only mean that the text about "intended semantics" and
the Appendix are not normative.

Things would be better if RFC 3697 also stated Updates: 2460.

   Brian